#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'linkconfig.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "linkconfig.h"

#include <ntqvariant.h>
#include <kicondialog.h>
#include <klineedit.h>
#include <ntqpushbutton.h>
#include <ntqlabel.h>
#include <ntqlineedit.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a LinkConfig as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
LinkConfig::LinkConfig( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "LinkConfig" );
    setSizeGripEnabled( TRUE );
    LinkConfigLayout = new TQGridLayout( this, 1, 1, 11, 6, "LinkConfigLayout"); 

    layout10 = new TQHBoxLayout( 0, 0, 6, "layout10"); 
    Horizontal_Spacing2 = new TQSpacerItem( 206, 20, TQSizePolicy::Expanding, TQSizePolicy::Minimum );
    layout10->addItem( Horizontal_Spacing2 );

    buttonOk = new TQPushButton( this, "buttonOk" );
    buttonOk->setAutoDefault( TRUE );
    buttonOk->setDefault( TRUE );
    layout10->addWidget( buttonOk );

    buttonCancel = new TQPushButton( this, "buttonCancel" );
    buttonCancel->setAutoDefault( TRUE );
    layout10->addWidget( buttonCancel );

    LinkConfigLayout->addMultiCellLayout( layout10, 1, 1, 0, 1 );

    icon = new TDEIconButton( this, "icon" );
    icon->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)0, (TQSizePolicy::SizeType)0, 0, 0, icon->sizePolicy().hasHeightForWidth() ) );
    icon->setMinimumSize( TQSize( 64, 64 ) );
    icon->setMaximumSize( TQSize( 64, 64 ) );
    icon->setIconSize( 48 );
    icon->setStrictIconSize( FALSE );

    LinkConfigLayout->addWidget( icon, 0, 1 );

    layout3 = new TQVBoxLayout( 0, 0, 6, "layout3"); 

    textLabel1 = new TQLabel( this, "textLabel1" );
    layout3->addWidget( textLabel1 );

    title = new KLineEdit( this, "title" );
    layout3->addWidget( title );

    textLabel2 = new TQLabel( this, "textLabel2" );
    textLabel2->setSizePolicy( TQSizePolicy( (TQSizePolicy::SizeType)5, (TQSizePolicy::SizeType)5, 0, 0, textLabel2->sizePolicy().hasHeightForWidth() ) );
    layout3->addWidget( textLabel2 );

    command = new TQLineEdit( this, "command" );
    layout3->addWidget( command );

    LinkConfigLayout->addLayout( layout3, 0, 0 );
    languageChange();
    resize( TQSize(438, 173).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );

    // signals and slots connections
    connect( buttonOk, TQ_SIGNAL( clicked() ), this, TQ_SLOT( accept() ) );
    connect( buttonCancel, TQ_SIGNAL( clicked() ), this, TQ_SLOT( reject() ) );
}

/*
 *  Destroys the object and frees any allocated resources
 */
LinkConfig::~LinkConfig()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void LinkConfig::languageChange()
{
    setCaption( tr2i18n( "Configure Link" ) );
    buttonOk->setText( tr2i18n( "&OK" ) );
    buttonCancel->setText( tr2i18n( "&Cancel" ) );
    icon->setText( TQString::null );
    textLabel1->setText( tr2i18n( "<b>Title</b>" ) );
    textLabel2->setText( tr2i18n( "<b>Command</b>" ) );
}

/****************************************************************************
** LinkConfig meta object code from reading C++ file 'linkconfig.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "linkconfig.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *LinkConfig::className() const
{
    return "LinkConfig";
}

TQMetaObject *LinkConfig::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_LinkConfig( "LinkConfig", &LinkConfig::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString LinkConfig::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "LinkConfig", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString LinkConfig::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "LinkConfig", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* LinkConfig::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"LinkConfig", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_LinkConfig.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* LinkConfig::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "LinkConfig" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool LinkConfig::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool LinkConfig::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool LinkConfig::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool LinkConfig::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
