#include <kdialog.h>
#include <tdelocale.h>

/****************************************************************************
** Form implementation generated from reading ui file 'starterhelp.ui'
**
** Created by: The TQt user interface compiler (TQt 3.5.0)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/

#include "starterhelp.h"

#include <ntqvariant.h>
#include <ntqpushbutton.h>
#include <ntqtabwidget.h>
#include <ntqwidget.h>
#include <ntqlabel.h>
#include <ntqlayout.h>
#include <ntqtooltip.h>
#include <ntqwhatsthis.h>

/*
 *  Constructs a StarterHelp as a child of 'parent', with the
 *  name 'name' and widget flags set to 'f'.
 *
 *  The qdialog will by default be modeless, unless you set 'modal' to
 *  TRUE to construct a modal qdialog.
 */
StarterHelp::StarterHelp( TQWidget* parent, const char* name, bool modal, WFlags fl )
    : TQDialog( parent, name, modal, fl )
{
    if ( !name )
	setName( "StarterHelp" );
    StarterHelpLayout = new TQGridLayout( this, 1, 1, 11, 6, "StarterHelpLayout"); 

    tabWidget2 = new TQTabWidget( this, "tabWidget2" );

    tab = new TQWidget( tabWidget2, "tab" );
    tabLayout = new TQGridLayout( tab, 1, 1, 11, 6, "tabLayout"); 

    textLabel5 = new TQLabel( tab, "textLabel5" );

    tabLayout->addWidget( textLabel5, 0, 0 );
    tabWidget2->insertTab( tab, TQString::fromLatin1("") );

    tab_2 = new TQWidget( tabWidget2, "tab_2" );
    tabLayout_2 = new TQGridLayout( tab_2, 1, 1, 11, 6, "tabLayout_2"); 

    textLabel6 = new TQLabel( tab_2, "textLabel6" );

    tabLayout_2->addWidget( textLabel6, 0, 0 );
    tabWidget2->insertTab( tab_2, TQString::fromLatin1("") );

    TabPage = new TQWidget( tabWidget2, "TabPage" );
    TabPageLayout = new TQGridLayout( TabPage, 1, 1, 11, 6, "TabPageLayout"); 

    textLabel1 = new TQLabel( TabPage, "textLabel1" );

    TabPageLayout->addWidget( textLabel1, 0, 0 );
    tabWidget2->insertTab( TabPage, TQString::fromLatin1("") );

    StarterHelpLayout->addWidget( tabWidget2, 0, 0 );
    languageChange();
    resize( TQSize(510, 582).expandedTo(minimumSizeHint()) );
    clearWState( WState_Polished );
}

/*
 *  Destroys the object and frees any allocated resources
 */
StarterHelp::~StarterHelp()
{
    // no need to delete child widgets, TQt does it all for us
}

/*
 *  Sets the strings of the subwidgets using the current
 *  language.
 */
void StarterHelp::languageChange()
{
    setCaption( tr2i18n( "Baghira Starter Config Help" ) );
    textLabel5->setText( tr2i18n( "<qt>The filterline provides several functions\n"
"<ul>\n"
"<li>It filters the below entry list</li>\n"
"<li>It autocompletes to executable entries in $PATH</li>\n"
"<li>The applied listbox lets you select the available categories</li>\n"
"<li>You can navigate through the categories either by using the mousewheel or by holding <b>ctrl+up/down</b></li>\n"
"<li>The category is also selected when calling the applied shortcut</li>\n"
"<li>It supports all protocols you know from Konqueror, e.g. \"gg:Baghira\" will google for \"Baghira\" etc.</li>\n"
"</ul>\n"
"Pressing <b>Enter</b> will execute the (autocompleted) binary in $PATH or the entered kfm protocol call<br>\n"
"Pressing <b>down</b>  will move the keyboard focus to the below entry list\n"
"</qt>" ) );
    tabWidget2->changeTab( tab, tr2i18n( "Filterline" ) );
    textLabel6->setText( tr2i18n( "<qt>The entry field shows up all your menu entries (filtered)<br><br>\n"
"You can start an application by clicking the <b>left mouse button</b> above the item (highlighted text) or by pressing <b>Enter</b> if the entry has the keyboard focus (highlighted background).<br><br>\n"
"You may navigate by either scrolling the <b>mousewheel</b> or using the <b>up/down</b> keys (this will also shift the keyboard focus)<br><br>\n"
"Pressing the <b>left</b> key will put focus on the filterline and select the whole text (i.e. start typing will change a complete new filter action)<br><br>\n"
"Pressing the <b>up</b> key on the topmost item will act as above.</qt>" ) );
    tabWidget2->changeTab( tab_2, tr2i18n( "Entry Field" ) );
    textLabel1->setText( tr2i18n( "<qt>The panel allow you to store often used links, independent from the application links in the entry list<br><br>\n"
"To <b>add a link</b>, either:<br>\n"
"- rightclick the panel<br>\n"
"- drag and drop a link out of the entry list<br>\n"
"- drag and drop any url or text or command (uris and mails are handled, the rest is interpreted as simple command, any command that works on the filterline works here as well)<br>\n"
"<br>\n"
"To <b>remove a link</b>, simply drag it out and drop it outside. (The panel interacts with the linklist from the baghira sidebar, links won't be removed, but copied if dragged from one to the other)<br>\n"
"<br>\n"
"To <b>configure a link</b>, simply rightclick it<br><br>\n"
"To <b>move a link</b>, just drag it and move i around.<br><br>\n"
"\n"
"Te panel is <b>scrollable (mousewheel)</b> and you can configure <b>individual positions</b> for the popup and the dialog<br><br>\n"
"More poofs can be found e.g. here: <a href=\"http://www.resexcellence.com/user_poofs.shtml\">www.resexcellence.com/user_poofs.shtml</a>\n"
"</qt>" ) );
    tabWidget2->changeTab( TabPage, tr2i18n( "Panel" ) );
}

/****************************************************************************
** StarterHelp meta object code from reading C++ file 'starterhelp.h'
**
** Created by: The TQt Meta Object Compiler version 26 (TQt 3.5.0)
** WARNING! All changes made in this file will be lost!
*****************************************************************************/

#undef TQT_NO_COMPAT
#include "starterhelp.h"
#include <ntqmetaobject.h>
#include <ntqapplication.h>

#include <private/qucomextra_p.h>
#if !defined(Q_MOC_OUTPUT_REVISION) || (Q_MOC_OUTPUT_REVISION != 26)
#error "This file was generated using the moc from 3.5.0. It"
#error "cannot be used with the include files from this version of TQt."
#error "(The moc has changed too much.)"
#endif

const char *StarterHelp::className() const
{
    return "StarterHelp";
}

TQMetaObject *StarterHelp::metaObj = 0;
static TQMetaObjectCleanUp cleanUp_StarterHelp( "StarterHelp", &StarterHelp::staticMetaObject );

#ifndef TQT_NO_TRANSLATION
TQString StarterHelp::tr( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "StarterHelp", s, c, TQApplication::DefaultCodec );
    else
	return TQString::fromLatin1( s );
}
#ifndef TQT_NO_TRANSLATION_UTF8
TQString StarterHelp::trUtf8( const char *s, const char *c )
{
    if ( tqApp )
	return tqApp->translate( "StarterHelp", s, c, TQApplication::UnicodeUTF8 );
    else
	return TQString::fromUtf8( s );
}
#endif // TQT_NO_TRANSLATION_UTF8

#endif // TQT_NO_TRANSLATION

TQMetaObject* StarterHelp::staticMetaObject()
{
    if ( metaObj ) {
	return metaObj;
}
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->lock();
    if ( metaObj ) {
	if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
	return metaObj;
    }
#endif // TQT_THREAD_SUPPORT
    TQMetaObject* parentObject = TQDialog::staticMetaObject();
    static const TQUMethod slot_0 = {"languageChange", 0, 0 };
    static const TQMetaData slot_tbl[] = {
	{ "languageChange()", &slot_0, TQMetaData::Protected }
    };
    metaObj = TQMetaObject::new_metaobject(
	"StarterHelp", parentObject,
	slot_tbl, 1,
	0, 0,
#ifndef TQT_NO_PROPERTIES
	0, 0,
	0, 0,
#endif // TQT_NO_PROPERTIES
	0, 0 );
    cleanUp_StarterHelp.setMetaObject( metaObj );
#ifdef TQT_THREAD_SUPPORT
    if (tqt_sharedMetaObjectMutex) tqt_sharedMetaObjectMutex->unlock();
#endif // TQT_THREAD_SUPPORT
    return metaObj;
}

void* StarterHelp::tqt_cast( const char* clname )
{
    if ( !qstrcmp( clname, "StarterHelp" ) )
	return this;
    return TQDialog::tqt_cast( clname );
}

bool StarterHelp::tqt_invoke( int _id, TQUObject* _o )
{
    switch ( _id - staticMetaObject()->slotOffset() ) {
    case 0: languageChange(); break;
    default:
	return TQDialog::tqt_invoke( _id, _o );
    }
    return TRUE;
}

bool StarterHelp::tqt_emit( int _id, TQUObject* _o )
{
    return TQDialog::tqt_emit(_id,_o);
}
#ifndef TQT_NO_PROPERTIES

bool StarterHelp::tqt_property( int id, int f, TQVariant* v)
{
    return TQDialog::tqt_property( id, f, v);
}

bool StarterHelp::tqt_static_property( TQObject* , int , int , TQVariant* ){ return FALSE; }
#endif // TQT_NO_PROPERTIES
